Skip to main content
GET
/
permissions
/
{permissionId}
Get Permission
curl --request GET \
  --url https://api.dfns.io/permissions/{permissionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "pm-37vj4-jkr4l-lc9945spfftkne57",
  "name": "<string>",
  "operations": [
    "<string>"
  ],
  "status": "Active",
  "isImmutable": true,
  "isArchived": true,
  "dateCreated": "2023-04-14T20:41:28.715Z",
  "dateUpdated": "2023-04-14T20:41:28.715Z",
  "pendingChangeRequest": {
    "id": "cr-6uunn-bm6ja-f6rmod5kqrk5rbel",
    "requester": {
      "userId": "<string>",
      "tokenId": "<string>",
      "appId": "<string>"
    },
    "status": "Applied",
    "entityId": "<string>",
    "dateCreated": "2023-04-14T20:41:28.715Z",
    "kind": "Permission",
    "operationKind": "Update",
    "body": {
      "id": "pm-37vj4-jkr4l-lc9945spfftkne57",
      "name": "<string>",
      "status": "Active",
      "operations": [
        "<string>"
      ],
      "isImmutable": true,
      "isArchived": true
    },
    "dateResolved": "2023-04-14T20:41:28.715Z",
    "approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0"
  }
}

Authentication

✅ Organization User (CustomerEmployee)
✅ Delegated User (EndUser)
✅ Service Account

Required Permissions

Permissions:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

permissionId
string
required

ID of the permission (also referred to as "role" in the dashboard).

Required string length: 1 - 64

Response

200 - application/json

Success

id
string
required

ID of the permission (also referred to as "role" in the dashboard).

Required string length: 1 - 64
Pattern: ^pm-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"pm-37vj4-jkr4l-lc9945spfftkne57"

name
string
required

Human-readable name of the permission (role).

operations
string[]
required

List of API operations this permission grants access to. See Permissions List for available operations.

status
enum<string>
required

Current status of the permission.

Available options:
Active
isImmutable
boolean
required

Whether this permission is system-managed and cannot be modified.

isArchived
boolean
required

Whether this permission has been archived (soft-deleted).

dateCreated
string<date-time>
required

ISO 8601 date (must be UTC). Date the permission was created.

Example:

"2023-04-14T20:41:28.715Z"

dateUpdated
string<date-time>
required

ISO 8601 date (must be UTC). Date the permission was last updated.

Example:

"2023-04-14T20:41:28.715Z"

pendingChangeRequest
object
Last modified on March 26, 2026